Package org.eclipse.m2m.atl.drivers.emf4atl.tcs.injector

## Class ASMModelAdapter

- java.lang.Object
- - org.eclipse.m2m.atl.drivers.emf4atl.tcs.injector.ASMModelAdapter

All Implemented Interfaces:
  `ModelAdapter`

    public class ASMModelAdapter
    extends java.lang.Object
    implements ModelAdapter

### Constructor Summary

Constructors
`ASMModelAdapter​(java.lang.Object model)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `createElement​(java.lang.String typeName)`
`java.lang.Object` `createEnumLiteral​(java.lang.String name)`
`java.lang.Object` `get​(java.lang.Object ame_, java.lang.String propertyName)`
`java.util.Set` `getElementsByType​(java.lang.String typeName)`
`java.lang.Object` `getModel()`
`java.lang.String` `getString​(java.lang.Object ame, java.lang.String propName)`
`java.lang.Object` `getType​(java.lang.Object me_)`
`boolean` `isAModelElement​(java.lang.Object me)`
`boolean` `isCandidate​(java.lang.Object ame, java.lang.String typeName)`
`void` `set​(java.lang.Object ame, java.lang.String prop, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMModelAdapter

    public ASMModelAdapter​(java.lang.Object model)

### Method Detail

#### getModel

    public java.lang.Object getModel()

Specified by:
  `getModel` in interface `ModelAdapter`

#### get

    public java.lang.Object get​(java.lang.Object ame_,
                                java.lang.String propertyName)

Specified by:
  `get` in interface `ModelAdapter`

#### createElement

    public java.lang.Object createElement​(java.lang.String typeName)

Specified by:
  `createElement` in interface `ModelAdapter`

#### getElementsByType

    public java.util.Set getElementsByType​(java.lang.String typeName)

Specified by:
  `getElementsByType` in interface `ModelAdapter`

#### set

    public void set​(java.lang.Object ame,
                    java.lang.String prop,
                    java.lang.Object value)

Specified by:
  `set` in interface `ModelAdapter`

#### isCandidate

    public boolean isCandidate​(java.lang.Object ame,
                               java.lang.String typeName)

Specified by:
  `isCandidate` in interface `ModelAdapter`

#### getType

    public java.lang.Object getType​(java.lang.Object me_)

Specified by:
  `getType` in interface `ModelAdapter`

#### isAModelElement

    public boolean isAModelElement​(java.lang.Object me)

Specified by:
  `isAModelElement` in interface `ModelAdapter`

#### getString

    public java.lang.String getString​(java.lang.Object ame,
                                      java.lang.String propName)

Specified by:
  `getString` in interface `ModelAdapter`

#### createEnumLiteral

    public java.lang.Object createEnumLiteral​(java.lang.String name)

Specified by:
  `createEnumLiteral` in interface `ModelAdapter`